# std::tuple< _Elements > Class Template Reference

Inheritance diagram for std::tuple< _Elements >:

List of all members.

## Detailed Description

### template<typename... _Elements>
class std::tuple< _Elements >

tuple

Definition at line 210 of file tuple.

## Public Member Functions

- template<typename... _UElements> tuple & operator= (tuple< _UElements...> &&__in)
- template<typename... _UElements> tuple & operator= (const tuple< _UElements...> &__in)
- tuple & operator= (tuple &&__in)
- tuple & operator= (const tuple &__in)
- template<typename... _UElements> tuple (tuple< _UElements...> &__in)
- template<typename... _UElements> tuple (tuple< _UElements...> &&__in)
- template<typename... _UElements> tuple (const tuple< _UElements...> &__in)
- tuple (tuple &&__in)
- tuple (const tuple &__in)
- template<typename... _UElements> tuple (_UElements &&...__elements)
- tuple (const _Elements &...__elements)
- tuple ()

The documentation for this class was generated from the following file:

- tuple